Loading...
Searching...
No Matches
unity::shell::application::MirSurfaceListInterface Class Referenceabstract

Interface for a list model of MirSurfaces. More...

`#include <unity/shell/application/MirSurfaceListInterface.h>`

Inheritance diagram for unity::shell::application::MirSurfaceListInterface:
[legend]
Collaboration diagram for unity::shell::application::MirSurfaceListInterface:
[legend]

## Public Types

enum | Roles { SurfaceRole = Qt::UserRole }
| The Roles supported by the model. More...

## Public Member Functions

virtual Q_INVOKABLE MirSurfaceInterface * | get (int index)=0
| Returns the surface at the specified index.

## Properties

int | count
| Number of surfaces in this model.
unity::shell::application::MirSurfaceInterface * | first
| The first (index 0) surface in this model.

## Detailed Description

Interface for a list model of MirSurfaces.

## Member Enumeration Documentation

## Roles

enum unity::shell::application::MirSurfaceListInterface::Roles

The Roles supported by the model.

SurfaceRole - A MirSurfaceInterface.

## Property Documentation

## count

int unity::shell::application::MirSurfaceListInterface::count

read

Number of surfaces in this model.

This is the same as rowCount, added in order to keep compatibility with QML ListModels.

## first

unity::shell::application::MirSurfaceInterface* unity::shell::application::MirSurfaceListInterface::first

read

The first (index 0) surface in this model.

Will always match the result of get(0). But being a property, it's more appropriate for use in qml bindinds (JS expression gets reevaluated when it changes)

The documentation for this class was generated from the following file:

- include/unity/shell/application/MirSurfaceListInterface.h